Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.deepfs.fsml
Enum MetaElem

    java.lang.Object
      java.lang.Enum<MetaElem>
          org.deepfs.fsml.MetaElem

All Implemented Interfaces:
  Serializable, Comparable<MetaElem>

    public enum MetaElem

extends Enum<MetaElem>

Available metadata elements.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Bastian Lemke

Enum Constant Summary
`ABSTRACT` Abstract.
`ALBUM` Album name.
`ALTERNATIVE` Alternative title.
`APERTURE_VALUE` Aperture value.
`APERTURE_VALUE_MAX` Maximum aperture value.
`ARTIST` Artist.
`BEATS_PER_MINUTE` Beats per minute.
`BITRATE_KBIT` Bitrate.
`BRIGHTNESS_VALUE` Brightness value.
`CITY` City.
`CODEC` Codec.
`COLOR_SPACE` Color space.
`COMMENT` Comment.
`COMPOSER` Composer.
`COMPRESSED_BITS_PER_PIXEL` Compressed bits per pixel.
`CONTENT` container element "content".
`CONTRAST` Contrast.
`CONTRIBUTOR` Contributor.
`COPY_RECEIVER_EMAIL` Carbon copy receiver (email address).
`COPY_RECEIVER_NAME` Carbon copy receiver (name).
`COUNTRY` Country.
`CREATOR_EMAIL` Creator (email address).
`CREATOR_NAME` Creator (name).
`CUSTOM_RENDERED` Custom rendered.
`DATE` Other date.
`DATETIME_ATTRIBUTE_MODIFIED` Date of the last change made to a metadata attribute.
`DATETIME_CONTENT_MODIFIED` Date of the last change made to the content.
`DATETIME_CREATED` Date when the content was created.
`DATETIME_DIGITIZED` Date when the content was digitized.
`DATETIME_LAST_USED` Date of the last usage.
`DATETIME_ORIGINAL` Original date.
`DESCRIPTION` Description.
`DIGITAL_ZOOM_RATIO` Digital zoom ratio.
`DURATION` Duration.
`EMPHASIS` Emphasis.
`ENCODER` Encoding software.
`ENCODING` Encoding.
`EXPOSURE_BIAS_VALUE` Exposure bias value.
`EXPOSURE_INDEX` Exposure index.
`EXPOSURE_MODE` Exposure mode.
`EXPOSURE_PROGRAM` Exposure program.
`EXPOSURE_TIME` Exposure time as string.
`EXPOSURE_TIME_MS` Exposure time in seconds.
`F_NUMBER` F number.
`FLASH` Flash.
`FOCAL_LENGTH` Focal length.
`FOCAL_LENGTH_IN_35MM_FILM` Focal length in 35mm film.
`FOCAL_PLANE_RESOLUTION_UNIT` Focal plane resolution unit.
`FOCAL_PLANE_X_RESOLUTION` Focal plane X resolution.
`FOCAL_PLANE_Y_RESOLUTION` Focal plane Y resolution.
`FORMAT` Format (MIME type).
`FS_OWNER_GROUP_ID` Group ID of the owner of the file.
`FS_OWNER_USER_ID` User ID of the owner of the file.
`FS_SIZE` Size of the file in the file system.
`GAIN_CONTROL` Gain control.
`GENRE` Genre.
`HEADLINE` Headline.
`HIDDEN_RECEIVER_EMAIL` Blind carbon copy receiver (email address).
`HIDDEN_RECEIVER_NAME` Blind carbon copy receiver (name).
`IDENTIFIER` Unique identifier.
`ISO_SPEED_RATINGS` ISO speed ratings.
`KEYWORD` Keyword.
`LANGUAGE` Language.
`LIGHT_SOURCE` Light source.
`LYRICIST` Lyricist.
`LYRICS` Lyrics.
`MAKE` Make.
`METERING_MODE` Metering mode.
`MM_HEIGHT` Height in millimeters.
`MM_WIDTH` Width in millimeters.
`MODE` Mode.
`MODEL` Model.
`NUMBER_OF_PAGES` Number of pages.
`ORIENTATION` Orientation.
`ORIGINAL_ARTIST` Original artist.
`PIXEL_HEIGHT` Height in pixels.
`PIXEL_WIDTH` Width in pixels.
`PRIMARY_CHROMATICITIES` Primary chromaticities.
`PUBLISHER` Publisher.
`RECEIVER_EMAIL` Receiver (email address).
`RECEIVER_NAME` Receiver (name).
`REFERENCE_BLACK_WHITE` ReferenceBlackWhite.
`RELATED_SOUND_FILE` Related sound file.
`RESOLUTION_UNIT` Resolution unit.
`RIGHTS` Copyright message.
`SAMPLE_RATE` Sample rate.
`SATURATION` Saturation.
`SCENE_CAPTURE_TYPE` Scene capture type.
`SENDER_EMAIL` Sender (email address).
`SENDER_NAME` Sender (name).
`SENSING_METHOD` Sensing method.
`SET` Set.
`SHARPNESS` Sharpness.
`SHUTTER_SPEED_VALUE` Shutter speed value.
`SOFTWARE` Software.
`SUBJECT` Message or document subject.
`SUBJECT_DISTANCE` Subject distance.
`SUBJECT_DISTANCE_RANGE` Subject distance range.
`TABLE_OF_CONTENTS` Table of contents.
`TITLE` Title.
`TRACK` Track number.
`TYPE` Type.
`WHITE_BALANCE` White balance.
`WHITE_POINT` White point.
`X_RESOLUTION` X resolution.
`Y_RESOLUTION` Y resolution.
`YCBCR_COEFFICIENTS` YCbCrCoefficients.
`YCBCR_POSITIONING` YCbCrPositioning.
`YEAR` Year.

Method Summary
`String` | `get()` Returns the metadata attribute name.
`Type` | `getType()` Returns the xml datatype for the metadata attribute.
`boolean` | `isMultiVal()` Returns true, if multiple values are allowed for the metadata attribute.
`byte[]` | `tok()` Returns the metadata attribute name as byte[].
`String` | `toString()` Returns the content for a container element.
`static MetaElem` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MetaElem[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TYPE

    public static final MetaElem TYPE

  Type.

### FORMAT

    public static final MetaElem FORMAT

  Format (MIME type).

### CONTENT

    public static final MetaElem CONTENT

  container element "content".

### DURATION

    public static final MetaElem DURATION

  Duration.

### DATE

    public static final MetaElem DATE

  Other date.

### DATETIME_ATTRIBUTE_MODIFIED

    public static final MetaElem DATETIME_ATTRIBUTE_MODIFIED

  Date of the last change made to a metadata attribute.

### DATETIME_CONTENT_MODIFIED

    public static final MetaElem DATETIME_CONTENT_MODIFIED

  Date of the last change made to the content.

### DATETIME_CREATED

    public static final MetaElem DATETIME_CREATED

  Date when the content was created.

### DATETIME_DIGITIZED

    public static final MetaElem DATETIME_DIGITIZED

  Date when the content was digitized.

### DATETIME_LAST_USED

    public static final MetaElem DATETIME_LAST_USED

  Date of the last usage.

### DATETIME_ORIGINAL

    public static final MetaElem DATETIME_ORIGINAL

  Original date.

### YEAR

    public static final MetaElem YEAR

  Year.

### BEATS_PER_MINUTE

    public static final MetaElem BEATS_PER_MINUTE

  Beats per minute.

### BITRATE_KBIT

    public static final MetaElem BITRATE_KBIT

  Bitrate.

### ISO_SPEED_RATINGS

    public static final MetaElem ISO_SPEED_RATINGS

  ISO speed ratings.

### FOCAL_LENGTH_IN_35MM_FILM

    public static final MetaElem FOCAL_LENGTH_IN_35MM_FILM

  Focal length in 35mm film.

### FS_OWNER_GROUP_ID

    public static final MetaElem FS_OWNER_GROUP_ID

  Group ID of the owner of the file.

### FS_OWNER_USER_ID

    public static final MetaElem FS_OWNER_USER_ID

  User ID of the owner of the file.

### FS_SIZE

    public static final MetaElem FS_SIZE

  Size of the file in the file system.

### MM_HEIGHT

    public static final MetaElem MM_HEIGHT

  Height in millimeters.

### MM_WIDTH

    public static final MetaElem MM_WIDTH

  Width in millimeters.

### NUMBER_OF_PAGES

    public static final MetaElem NUMBER_OF_PAGES

  Number of pages.

### PIXEL_HEIGHT

    public static final MetaElem PIXEL_HEIGHT

  Height in pixels.

### PIXEL_WIDTH

    public static final MetaElem PIXEL_WIDTH

  Width in pixels.

### SAMPLE_RATE

    public static final MetaElem SAMPLE_RATE

  Sample rate.

### TRACK

    public static final MetaElem TRACK

  Track number.

### APERTURE_VALUE

    public static final MetaElem APERTURE_VALUE

  Aperture value.

### APERTURE_VALUE_MAX

    public static final MetaElem APERTURE_VALUE_MAX

  Maximum aperture value.

### BRIGHTNESS_VALUE

    public static final MetaElem BRIGHTNESS_VALUE

  Brightness value.

### COMPRESSED_BITS_PER_PIXEL

    public static final MetaElem COMPRESSED_BITS_PER_PIXEL

  Compressed bits per pixel.

### DIGITAL_ZOOM_RATIO

    public static final MetaElem DIGITAL_ZOOM_RATIO

  Digital zoom ratio.

### EXPOSURE_BIAS_VALUE

    public static final MetaElem EXPOSURE_BIAS_VALUE

  Exposure bias value.

### EXPOSURE_INDEX

    public static final MetaElem EXPOSURE_INDEX

  Exposure index.

### EXPOSURE_TIME_MS

    public static final MetaElem EXPOSURE_TIME_MS

  Exposure time in seconds.

### F_NUMBER

    public static final MetaElem F_NUMBER

  F number.

### FOCAL_LENGTH

    public static final MetaElem FOCAL_LENGTH

  Focal length.

### FOCAL_PLANE_X_RESOLUTION

    public static final MetaElem FOCAL_PLANE_X_RESOLUTION

  Focal plane X resolution.

### FOCAL_PLANE_Y_RESOLUTION

    public static final MetaElem FOCAL_PLANE_Y_RESOLUTION

  Focal plane Y resolution.

### SHUTTER_SPEED_VALUE

    public static final MetaElem SHUTTER_SPEED_VALUE

  Shutter speed value.

### SUBJECT_DISTANCE

    public static final MetaElem SUBJECT_DISTANCE

  Subject distance.

### X_RESOLUTION

    public static final MetaElem X_RESOLUTION

  X resolution.

### Y_RESOLUTION

    public static final MetaElem Y_RESOLUTION

  Y resolution.

### ABSTRACT

    public static final MetaElem ABSTRACT

  Abstract.

### ALBUM

    public static final MetaElem ALBUM

  Album name.

### ALTERNATIVE

    public static final MetaElem ALTERNATIVE

  Alternative title.

### ARTIST

    public static final MetaElem ARTIST

  Artist.

### CITY

    public static final MetaElem CITY

  City.

### CODEC

    public static final MetaElem CODEC

  Codec.

### COLOR_SPACE

    public static final MetaElem COLOR_SPACE

  Color space.

### COMMENT

    public static final MetaElem COMMENT

  Comment.

### COMPOSER

    public static final MetaElem COMPOSER

  Composer.

### CONTRAST

    public static final MetaElem CONTRAST

  Contrast.

### CONTRIBUTOR

    public static final MetaElem CONTRIBUTOR

  Contributor.

### COPY_RECEIVER_NAME

    public static final MetaElem COPY_RECEIVER_NAME

  Carbon copy receiver (name).

### COPY_RECEIVER_EMAIL

    public static final MetaElem COPY_RECEIVER_EMAIL

  Carbon copy receiver (email address).

### COUNTRY

    public static final MetaElem COUNTRY

  Country.

### CREATOR_NAME

    public static final MetaElem CREATOR_NAME

  Creator (name).

### CREATOR_EMAIL

    public static final MetaElem CREATOR_EMAIL

  Creator (email address).

### CUSTOM_RENDERED

    public static final MetaElem CUSTOM_RENDERED

  Custom rendered.

### DESCRIPTION

    public static final MetaElem DESCRIPTION

  Description.

### EMPHASIS

    public static final MetaElem EMPHASIS

  Emphasis.

### ENCODER

    public static final MetaElem ENCODER

  Encoding software.

### ENCODING

    public static final MetaElem ENCODING

  Encoding.

### EXPOSURE_MODE

    public static final MetaElem EXPOSURE_MODE

  Exposure mode.

### EXPOSURE_TIME

    public static final MetaElem EXPOSURE_TIME

  Exposure time as string.

### EXPOSURE_PROGRAM

    public static final MetaElem EXPOSURE_PROGRAM

  Exposure program.

### FLASH

    public static final MetaElem FLASH

  Flash.

### FOCAL_PLANE_RESOLUTION_UNIT

    public static final MetaElem FOCAL_PLANE_RESOLUTION_UNIT

  Focal plane resolution unit.

### GAIN_CONTROL

    public static final MetaElem GAIN_CONTROL

  Gain control.

### GENRE

    public static final MetaElem GENRE

  Genre.

### HEADLINE

    public static final MetaElem HEADLINE

  Headline. Publishable entry providing a synopsis of the contents of the item.

### HIDDEN_RECEIVER_NAME

    public static final MetaElem HIDDEN_RECEIVER_NAME

  Blind carbon copy receiver (name).

### HIDDEN_RECEIVER_EMAIL

    public static final MetaElem HIDDEN_RECEIVER_EMAIL

  Blind carbon copy receiver (email address).

### IDENTIFIER

    public static final MetaElem IDENTIFIER

  Unique identifier.

### KEYWORD

    public static final MetaElem KEYWORD

  Keyword.

### LANGUAGE

    public static final MetaElem LANGUAGE

  Language.

  See Also:
    RFC 4646

### LIGHT_SOURCE

    public static final MetaElem LIGHT_SOURCE

  Light source.

### LYRICS

    public static final MetaElem LYRICS

  Lyrics.

### LYRICIST

    public static final MetaElem LYRICIST

  Lyricist.

### MAKE

    public static final MetaElem MAKE

  Make.

### METERING_MODE

    public static final MetaElem METERING_MODE

  Metering mode.

### MODE

    public static final MetaElem MODE

  Mode.

### MODEL

    public static final MetaElem MODEL

  Model.

### ORIENTATION

    public static final MetaElem ORIENTATION

  Orientation.

### ORIGINAL_ARTIST

    public static final MetaElem ORIGINAL_ARTIST

  Original artist.

### PRIMARY_CHROMATICITIES

    public static final MetaElem PRIMARY_CHROMATICITIES

  Primary chromaticities.

### PUBLISHER

    public static final MetaElem PUBLISHER

  Publisher.

### RECEIVER_NAME

    public static final MetaElem RECEIVER_NAME

  Receiver (name).

### RECEIVER_EMAIL

    public static final MetaElem RECEIVER_EMAIL

  Receiver (email address).

### REFERENCE_BLACK_WHITE

    public static final MetaElem REFERENCE_BLACK_WHITE

  ReferenceBlackWhite.

### RELATED_SOUND_FILE

    public static final MetaElem RELATED_SOUND_FILE

  Related sound file.

### RESOLUTION_UNIT

    public static final MetaElem RESOLUTION_UNIT

  Resolution unit.

### RIGHTS

    public static final MetaElem RIGHTS

  Copyright message.

### SATURATION

    public static final MetaElem SATURATION

  Saturation.

### SHARPNESS

    public static final MetaElem SHARPNESS

  Sharpness.

### SCENE_CAPTURE_TYPE

    public static final MetaElem SCENE_CAPTURE_TYPE

  Scene capture type.

### SENDER_NAME

    public static final MetaElem SENDER_NAME

  Sender (name).

### SENDER_EMAIL

    public static final MetaElem SENDER_EMAIL

  Sender (email address).

### SENSING_METHOD

    public static final MetaElem SENSING_METHOD

  Sensing method.

### SET

    public static final MetaElem SET

  Set.

### SOFTWARE

    public static final MetaElem SOFTWARE

  Software.

### SUBJECT

    public static final MetaElem SUBJECT

  Message or document subject.

### SUBJECT_DISTANCE_RANGE

    public static final MetaElem SUBJECT_DISTANCE_RANGE

  Subject distance range.

### TABLE_OF_CONTENTS

    public static final MetaElem TABLE_OF_CONTENTS

  Table of contents.

### TITLE

    public static final MetaElem TITLE

  Title.

### WHITE_BALANCE

    public static final MetaElem WHITE_BALANCE

  White balance.

### WHITE_POINT

    public static final MetaElem WHITE_POINT

  White point.

### YCBCR_COEFFICIENTS

    public static final MetaElem YCBCR_COEFFICIENTS

  YCbCrCoefficients.

### YCBCR_POSITIONING

    public static final MetaElem YCBCR_POSITIONING

  YCbCrPositioning.

Method Detail

### values

    public static MetaElem[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MetaElem c : MetaElem.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MetaElem valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public String get()

  Returns the metadata attribute name.

  Returns:
    the metadata attribute name

### tok

    public byte[] tok()

  Returns the metadata attribute name as byte[].

  Returns:
    the metadata attribute name as byte[]

### getType

    public Type getType()

  Returns the xml datatype for the metadata attribute.

  Returns:
    the xml datatype for the metadata attribute

### isMultiVal

    public boolean isMultiVal()

  Returns true, if multiple values are allowed for the metadata attribute.

  Returns:
    true, if multiple values are allowed for the metadata attribute

### toString

    public String toString()

  Returns the content for a container element.

  Overrides:
    `toString` in class `Enum<MetaElem>`
  Returns:
    the content as map (containing key-value pairs). public TreeMap getContent() { return c; }

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD